Name:           calf
Summary:        Pack of multi-standard audio plugins for LV2 and host for JACK
Version:        0.0.19
Release:        %mkrel 2
Source:         http://dl.sf.net/%{name}/%{name}-%{version}.tar.xz
Source1:	%{name}-dssi.desktop
Patch0:		calf-falktx-96c9e772-add-LADSPA-DSSI.patch
URL:            http://%{name}.sourceforge.net/
License:        GPLv2
Group:          Sound
BuildRequires:  desktop-file-utils
#-----------------------------------------------------
BuildRequires: dssi-devel 
BuildRequires: ladspa-devel 
BuildRequires: %{_lib}alsa2-devel 
BuildRequires: %{_lib}atk1.0-devel 
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}expat1-devel 
BuildRequires: %{_lib}fftw-devel 
BuildRequires: %{_lib}fluidsynth1-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}gtk+2.0_0-devel 
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}lash2-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: lv2-devel 
#-----------------------------------------------------
Requires:       redland
Requires:       lv2 
Requires:       fluidsynth

%global common_desc \
The Calf project aims at providing a set of high quality open source audio\
plugins for musicians. All the included plugins are designed to be used with\
multitrack software, as software replacement for instruments and guitar stomp\
boxes.


%description
%common_desc

The plugins are available in LV2, DSSI, Standalone JACK and LADSPA formats.
This package contains the common files and the Standalone JACK plugin.

%package -n ladspa-%{name}-plugins
Summary:	Calf plugins in LADSPA format
Group:		Sound
License:	LGPLv2+
Requires:	%{name} = %{version}-%{release}
Requires:	ladspa

%description -n ladspa-%{name}-plugins
%common_desc

This package contains only LADSPA effect plugins (no GUI), with LRDF.

%package -n lv2-%{name}-plugins
Summary:        Calf plugins in LV2 format
Group:          Sound
License:        GPLv2+ and LGPLv2+ and Public Domain
Requires:       %{name} = %{version}-%{release}
Requires:	lv2

%description -n lv2-%{name}-plugins
%common_desc

This package contains LV2 synthesizers and effects, MIDI I/O and GUI
extensions.

%package -n dssi-%{name}-plugins
Summary:	Calf plugins in DSSI format
Group:		Sound
License:	LGPLv2+
Requires:	%{name} = %{version}-%{release}
Requires:	dssi

%description -n dssi-%{name}-plugins
%common_desc

This package contains DSSI synthesizers and effects, also GUI extensions.


%prep
%setup -q
%patch0 -p1

%build
# Add GenericName to the .desktop file
echo "GenericName= Audio Effects" >> %{name}.desktop.in
./autogen.sh
# Make sure that optflags are not overriden.
sed -i 's|-O3||' configure

%configure      --with-lv2-dir=%{_libdir}/lv2 \
		--with-ladspa-dir=%{_libdir}/ladspa/ \
	        --with-dssi-dir=%{_libdir}/dssi/ \
                --enable-static=false \
                --libdir=%{_libdir} \
                --enable-ladspa \
                --enable-experimental=yes
%make

%install
%makeinstall_std
# JACK host
desktop-file-install \
     --remove-category="Application" \
     --remove-category="GNOME" \
     --add-category="X-Midi" \
     --remove-key="Version" \
     --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# The DSSI host
ln -s jack-dssi-host %{buildroot}%{_bindir}/%{name}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# We don't need this:
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache
rm -f %{buildroot}/%{_libdir}/%{name}/*.a*

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
fi
update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS ChangeLog COPYING* README TODO
%{_bindir}/%{name}*
%{_libdir}/%{name}/%{name}.so
%exclude %{_libdir}/%{name}/%{name}.la
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}_plugin.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}_plugin.svg
%{_mandir}/man1/%{name}jackhost.1.*
%{_mandir}/man7/%{name}.7.*
%{_datadir}/applications/%{name}.desktop

%files -n ladspa-%{name}-plugins
%{_libdir}/ladspa/%{name}.so
%{_datadir}/ladspa/rdf/%{name}.rdf

%files -n lv2-%{name}-plugins
%{_libdir}/lv2/%{name}.lv2/

%files -n dssi-%{name}-plugins
%{_bindir}/%{name}
%{_datadir}/applications/%{name}-dssi.desktop
%{_libdir}/dssi/%{name}/
%{_libdir}/dssi/%{name}.so


%changelog
* Wed Jun 17 2015 bb <bb> 0.0.19-2pcls2015
- fix rpm group to just Sound
- clean up BR

* Tue Jun 16 2015 pp <pp> 0.0.19-1pclos2015
- imported package
